# strconv.h File Reference

## Classes

class | wxMBConv
| This class is the base class of a hierarchy of classes capable of converting text strings between multibyte (SBCS or DBCS) encodings and Unicode. More...
class | wxMBConvUTF7
| This class converts between the UTF-7 encoding and Unicode. More...
class | wxMBConvUTF8
| This class converts between the UTF-8 encoding and Unicode. More...
class | wxMBConvUTF16
| This class is used to convert between multibyte encodings and UTF-16 Unicode encoding (also known as UCS-2). More...
class | wxMBConvUTF32
| This class is used to convert between multibyte encodings and UTF-32 Unicode encoding (also known as UCS-4). More...
class | wxCSConv
| This class converts between any character set supported by the system and Unicode. More...
class | wxMBConvFile
| This class used to define the class instance wxConvFileName, but nowadays wxConvFileName is either of type wxConvLibc (on most platforms) or wxConvUTF8 (on MacOS X). More...

|  | [ top ]